Skip to main content
GET
/
mailbox
/
messages
/
count
Count mailbox messages
curl --request GET \
  --url https://app.sendmux.ai/api/v1/mailbox/messages/count \
  --header 'Authorization: Bearer <token>'
{
  "meta": {
    "request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
  },
  "data": {
    "total": 123,
    "sync_state": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.sendmux.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Sendmux API key. Use a root API key for Management API routes, or a mailbox credential for Mailbox API routes. Obtain keys from the dashboard under API Keys.

Query Parameters

folder_id
string
thread_id
string
q
string
from
string
to
string
cc
string
bcc
string
subject
string
body
string
header_name
string
header_value
string
min_size_bytes
integer
Required range: x >= 0
max_size_bytes
integer
Required range: x >= 0
keyword
string
not_keyword
string
after
string
before
string
has_attachment
boolean
is_unread
boolean

Response

Message count

ok
enum<boolean>
required
Available options:
true
meta
object
required
data
object
required